package com.ruoyi.project.business.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 tq_additional_fees
 *
 * @author ruoyi
 * @date 2024-05-16
 */
public class TqAdditionalFees extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long id;

    /**
     * 报价ID
     */
    @Excel(name = "报价ID")
    private Long quotationId;

    /**
     * 费用类型（关联字典）
     */
    @Excel(name = "费用类型", readConverterExp = "关=联字典")
    private String feesType;

    /**
     * 币种
     */
    @Excel(name = "币种")
    private Long currencyId;

    /**
     * 币种汇率
     */
    @Excel(name = "币种汇率")
    private BigDecimal exchangeRate;

    /**
     * 附加费用
     */
    @Excel(name = "附加费用")
    private BigDecimal additionalFees;

    /**
     * 删除标记（0：未删除  1：已删除）
     */
    private String delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setQuotationId(Long quotationId) {
        this.quotationId = quotationId;
    }

    public Long getQuotationId() {
        return quotationId;
    }

    public void setFeesType(String feesType) {
        this.feesType = feesType;
    }

    public String getFeesType() {
        return feesType;
    }

    public void setCurrencyId(Long currencyId) {
        this.currencyId = currencyId;
    }

    public Long getCurrencyId() {
        return currencyId;
    }

    public void setExchangeRate(BigDecimal exchangeRate) {
        this.exchangeRate = exchangeRate;
    }

    public BigDecimal getExchangeRate() {
        return exchangeRate;
    }

    public void setAdditionalFees(BigDecimal additionalFees) {
        this.additionalFees = additionalFees;
    }

    public BigDecimal getAdditionalFees() {
        return additionalFees;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("quotationId", getQuotationId())
            .append("feesType", getFeesType())
            .append("currencyId", getCurrencyId())
            .append("exchangeRate", getExchangeRate())
            .append("additionalFees", getAdditionalFees())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
